
#include "rb-sample-vala-plugin.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>




enum  {
	SAMPLE_VALA_PLUGIN_DUMMY_PROPERTY
};
static void sample_vala_plugin_real_activate (RBPlugin* base, RBShell* shell);
static void sample_vala_plugin_real_deactivate (RBPlugin* base, RBShell* shell);
static gpointer sample_vala_plugin_parent_class = NULL;



static void sample_vala_plugin_real_activate (RBPlugin* base, RBShell* shell) {
	SampleValaPlugin * self;
	self = (SampleValaPlugin*) base;
	g_return_if_fail (shell != NULL);
	fprintf (stdout, "Hello world\n");
}


static void sample_vala_plugin_real_deactivate (RBPlugin* base, RBShell* shell) {
	SampleValaPlugin * self;
	self = (SampleValaPlugin*) base;
	g_return_if_fail (shell != NULL);
	fprintf (stdout, "Goodbye world\n");
}


SampleValaPlugin* sample_vala_plugin_construct (GType object_type) {
	SampleValaPlugin * self;
	self = g_object_newv (object_type, 0, NULL);
	return self;
}


SampleValaPlugin* sample_vala_plugin_new (void) {
	return sample_vala_plugin_construct (TYPE_SAMPLE_VALA_PLUGIN);
}


static void sample_vala_plugin_class_init (SampleValaPluginClass * klass) {
	sample_vala_plugin_parent_class = g_type_class_peek_parent (klass);
	RB_PLUGIN_CLASS (klass)->activate = sample_vala_plugin_real_activate;
	RB_PLUGIN_CLASS (klass)->deactivate = sample_vala_plugin_real_deactivate;
}


static void sample_vala_plugin_instance_init (SampleValaPlugin * self) {
}


static GType sample_vala_plugin_type_id = 0;
GType sample_vala_plugin_get_type (void) {
	return sample_vala_plugin_type_id;
}


GType sample_vala_plugin_register_type (GTypeModule * module) {
	static const GTypeInfo g_define_type_info = { sizeof (SampleValaPluginClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) sample_vala_plugin_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SampleValaPlugin), 0, (GInstanceInitFunc) sample_vala_plugin_instance_init, NULL };
	sample_vala_plugin_type_id = g_type_module_register_type (module, RB_TYPE_PLUGIN, "SampleValaPlugin", &g_define_type_info, 0);
	return sample_vala_plugin_type_id;
}


GType register_rb_plugin (GTypeModule* module) {
	g_return_val_if_fail (module != NULL, 0UL);
	sample_vala_plugin_register_type (module);
	fprintf (stdout, "Registering plugin %s\n", "SampleValaPlugin");
	return TYPE_SAMPLE_VALA_PLUGIN;
}




